<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:13 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>CppBinary (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="CppBinary (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/language/cpp/CppApplication.html" title="interface in org.gradle.language.cpp"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/language/cpp/CppComponent.html" title="interface in org.gradle.language.cpp"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/language/cpp/CppBinary.html" target="_top">Frames</a></li>
<li><a href="CppBinary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.language.cpp</div>
<h2 title="Interface CppBinary" class="title">Interface CppBinary</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a>, <a href="../../../../org/gradle/api/component/SoftwareComponent.html" title="interface in org.gradle.api.component">SoftwareComponent</a></dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../org/gradle/language/cpp/CppExecutable.html" title="interface in org.gradle.language.cpp">CppExecutable</a>, <a href="../../../../org/gradle/language/cpp/CppSharedLibrary.html" title="interface in org.gradle.language.cpp">CppSharedLibrary</a></dd>
</dl>
<hr>
<br>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">CppBinary</span>
extends <a href="../../../../org/gradle/api/component/SoftwareComponent.html" title="interface in org.gradle.api.component">SoftwareComponent</a></pre>
<div class="block">A binary built from C++ source and linked from the resulting object files.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.2</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Named">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a></h3>
<code><a href="../../../../org/gradle/api/Named.Namer.html" title="class in org.gradle.api">Named.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../org/gradle/api/attributes/Attribute.html" title="class in org.gradle.api.attributes">Attribute</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/language/cpp/CppBinary.html#DEBUGGABLE_ATTRIBUTE">DEBUGGABLE_ATTRIBUTE</a></strong></code>
<div class="block">The dependency resolution attribute use to indicate whether a binary is debuggable or not.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider">Provider</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/language/cpp/CppBinary.html#getBaseName()">getBaseName</a></strong>()</code>
<div class="block">Returns the base name of the binary.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/language/cpp/CppBinary.html#getCompileIncludePath()">getCompileIncludePath</a></strong>()</code>
<div class="block">Returns the header directories to use to compile this binary.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/language/cpp/CppBinary.html#getCppSource()">getCppSource</a></strong>()</code>
<div class="block">Returns the C++ source files of this binary.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/language/cpp/CppBinary.html#getLinkLibraries()">getLinkLibraries</a></strong>()</code>
<div class="block">Returns the link libraries to use to link this binary.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/language/cpp/CppBinary.html#getRuntimeLibraries()">getRuntimeLibraries</a></strong>()</code>
<div class="block">Returns the runtime libraries required by this binary.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/language/cpp/CppBinary.html#isDebuggable()">isDebuggable</a></strong>()</code>
<div class="block">Returns true if this binary has debugging enabled.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.Named">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a></h3>
<code><a href="../../../../org/gradle/api/Named.html#getName()">getName</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="DEBUGGABLE_ATTRIBUTE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DEBUGGABLE_ATTRIBUTE</h4>
<pre>static final&nbsp;<a href="../../../../org/gradle/api/attributes/Attribute.html" title="class in org.gradle.api.attributes">Attribute</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&gt; DEBUGGABLE_ATTRIBUTE</pre>
<div class="block">The dependency resolution attribute use to indicate whether a binary is debuggable or not.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getBaseName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBaseName</h4>
<pre><a href="../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider">Provider</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getBaseName()</pre>
<div class="block">Returns the base name of the binary.</div>
</li>
</ul>
<a name="isDebuggable()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isDebuggable</h4>
<pre>boolean&nbsp;isDebuggable()</pre>
<div class="block">Returns true if this binary has debugging enabled.</div>
</li>
</ul>
<a name="getCppSource()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCppSource</h4>
<pre><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getCppSource()</pre>
<div class="block">Returns the C++ source files of this binary.</div>
</li>
</ul>
<a name="getCompileIncludePath()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCompileIncludePath</h4>
<pre><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getCompileIncludePath()</pre>
<div class="block">Returns the header directories to use to compile this binary. Includes the header directories of this binary plus those of its dependencies.</div>
</li>
</ul>
<a name="getLinkLibraries()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLinkLibraries</h4>
<pre><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getLinkLibraries()</pre>
<div class="block">Returns the link libraries to use to link this binary. Includes the link libraries of the component's dependencies.</div>
</li>
</ul>
<a name="getRuntimeLibraries()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getRuntimeLibraries</h4>
<pre><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getRuntimeLibraries()</pre>
<div class="block">Returns the runtime libraries required by this binary. Includes the runtime libraries of the component's dependencies.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/language/cpp/CppApplication.html" title="interface in org.gradle.language.cpp"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/language/cpp/CppComponent.html" title="interface in org.gradle.language.cpp"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/language/cpp/CppBinary.html" target="_top">Frames</a></li>
<li><a href="CppBinary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
